Subject: Re: bug#56305: 29.0.50; 'yes-or-no-p' deselects minibuffer frame

From: Eli Zaretskii <[email-masked]>
Date: Sun, 10 Jul 2022 16:01:09 +0300

> Date: Sun, 10 Jul 2022 12:41:23 +0000
> Cc: [email-masked], [email-masked], [email-masked],
>   [email-masked]
> From: Alan Mackenzie <[email-masked]>
> 
> > It is hard for me to make a decision about that patch, since it isn't
> > clear what are its disadvantages.  Martin seems to say that it doesn't
> > work well?
> 
> Martin's not very happy about things, but I'm not sure what can be
> improved quickly.
> 
> > So can you tell what problem it fixes ....
> 
> In the bug scenario, after C-x C-c, the focus was not on the minibuffer
> frame.  Now it is.
> 
> > .... and what, if any, problems it causes?
> 
> I'm not really aware of any specific problems, but I think Martin might
> be.  I see the main problem with the patch is it hasn't been tested on
> anything but GNU/Linux and X.  In particular, it hasn't been tested on a
> Windows machine or a Mac, at least that I'm aware of.

I'll wait to hear from Martin.

> > Or maybe we should wait for at least the master to have a complete
> > fix, and decide then?
> 
> You mean, postpone the next Emacs 28 pretest until we've got a better
> understanding?

No, leave things on the release branch as they are now until then.